<!DOCTYPE html>
<html>
  <head>
    <title>em.def blog</title>
    <meta charset="utf-8"/>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css">
    <link href='https://fonts.googleapis.com/css?family=Helvetica:300,400,700' rel='stylesheet' type='text/css'>
    <link rel="stylesheet" type="text/css" href="../main.css">
  </head>

  <body>
    <header class="container-fluid">
      <div class="row">
        <h1 class="col-sm-4"  style="color:#202020">e<a href="../index.html">m.def</a></h1>
        <nav class="col-sm-12 text-right">
          <a href="https://gitlab.com/mitaleeparikh/mitalee.parikh"><img class="img-fit" src="../meta/icons/009-photos.png" height="20" width="20"></a>
            &ensp;
          <a href="mailto:emaitee@gmail.com"><img class="img-fit" src="../meta/icons/005-diamond.png" height="20" width="20"></a>
        </nav>
      </div>
    </header>

    <section class="row">
      <section class="col-md-3">
           <nav id="leftnav">
            <a href="../fabacademy/pppm.html">Principles, Practices and Project Management</a><br>
            <a href="../fabacademy/cad.html">Computer-aided Design</a><br>
            <a href="../fabacademy/ccc.html">Computer-controlled Cutting</a><br>
            <a href="../fabacademy/ep.html">Electronics Production</a><br>
            <a href="../fabacademy/3dps.html">3D printing and scanning</a><br>
            <a href="../fabacademy/ed.html">Electronics Design</a><br>
            <a href="../fabacademy/ccm.html">Computer-controlled Machining</a><br>
            <a href="../fabacademy/mc.html">Molding and Casting</a><br>
            <a href="../fabacademy/wc.html">Wild Card Week</a><br>
            <a href="../fabacademy/iipi.html">Invention, Intellectual Property and Income</a><br>
            <a href="../fabacademy/input.html">Inputs</a><br>
            <a href="../fabacademy/output.html">Outputs</a><br>
            <a href="../fabacademy/mdef.fp.html">MDEF Final Project</a><br>

          </nav>
      </section>

      <section class="col-md-6">

        <h1>Output Devices</h1>

        This week I used an arduino Uno to make a forever spin top spin at different speeds and directions.

        <p> I used the Zeotrope tutorial from the Arduino starter kit as it had a similar function.</p>
        TASK - 2 Mandatory:
        Program it you board to change the output based on a input sensor data


        Identify and learn how to active an output with digital and analog signals
        Implement programming protocols.
        Student should have defined

        Explained the programming process/es you used and how the microcontroller datasheet helped you.
        Outlined problems and how you fixed them
        Included original design files and code

        <p>These are the components I need to control the motor:
        <li>DC motor - only motor I have available now
        <li>H-bridge - IC to control the direction change of the motor
        <li>Potentiometer - to control speed manual input
        <li>Switches - 1 for on/off, 1 for direction change
        <li>Resistors - 10k ohm in series with switches
        <li>Battery 9V - power with connector
        <li>Arduino Uno + Breadboard + Jumper Wires </p><br>
        <img class="img-fit" src="../fabacademy/images/output/shopping.jpg"><br><br>

        <p>I refered to this schematic in the Arduino Projects book:</p><br>
        <img class="img-fit" src="../fabacademy/images/output/schematic.jpg"><br><br>

        <p>To understand the circuit I arranged everything and marked the functions and connections of each part. And checked the <a href="https://www.st.com/resource/en/datasheet/l298.pdf">datasheet for H-bridge L298N.</a></p><br>
        <img class="img-fit" src="../fabacademy/images/output/setup.jpg"><br><br>

        <p>From the above setup, we can see that the pins used are:<br>
          Digital Pins :<br>
          <li>4 for on/off
          <li>5 for direction change
          <li>2 for motor control
          <li>3 for motor control<br><br>
          Analog Pins :<br>
          <li>A0 for speed control<br><br>
          <p>Based on this I defined the constants in the sketch in Arduino IDE.</p>
          Then, defined the variables, defined inputs and outputs, setup code, and the loop. Each part is explained briefly in the sketch.</p>

        <img class="img-fit" src="../fabacademy/images/output/IDE.jpg"><br><br>
        <p>I uploaded the sketch without any errors, but still the motor did not run. I checked all connections and finally had to change my 9V battery.</p>
        <iframe width="688" height="387" src="https://www.youtube.com/embed/jXlCYYzOJkE" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe><br><br>

        <p>Next, I fabricated a circular base to make the top spin on top from some tape and board I had at home. The pink top was milled by me on a Roland 4-axis milling machine some years back. If in the lab, I would like to make this setup more refined using the machines.</p>
        <br>
        <img class="img-fit" src="../fabacademy/images/output/top.jpg"><br><br>

        <p>Finally I put everything together and this is the setup for a forever spinning top.</p>

        <iframe width="688" height="387" src="https://www.youtube.com/embed/bE3cYQz22Pw" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe><br><br>

        <h4>Code</h4>
        <a href="../fabacademy/images/output/foreverspin__dcmotor_potentiometer_hbridge_.zip">Sketch</a>

        <h4>Tutorials</h4>
        <a href="https://programminginarduino.wordpress.com/2016/03/05/project-11/">Arduino Zoetrope Project</a>

        <h3>Adding an input sensor</h3>
        <p>In my arduino kit I had 2 sensors, a temperature sensor and a tilt sensor, I used the latter to make the top spin.</p>
        <p>A tilt sensor has a tiny ball inside that connects the legs to complete the circuit, on tilting, the ball loses contact with one leg and breaks the circuit.</p>

        <p>First I made a simple tilt sensor test with led outputs to understand how it works. This was fairly simple. I used <a href="https://www.electronicshub.org/arduino-tilt-sensor/">this tutorial</a> to make leds light on tilting.<br><br>
          <img class="img-fit" src="../fabacademy/images/output/onlytilt.jpg"><br><br>

        <p>Next, I simplified the DC motor circuit from before by removing the H-brige, the potentiometer and the 2 switches, as I didn't need to change direction or speed.</p><p>I referred <a href"https://www.tutorialspoint.com/arduino/arduino_dc_motor.htm">this tutorial</a> for different ways to use the dc motor. And then did something similar to <a href="https://www.dummies.com/computers/arduino/how-to-spin-a-dc-motor-with-the-arduino/">this.</a>
          <p>After I got that to work, I combined both sketches to make the tilt sensor the input and the motor the output.</p>
          <img class="img-fit" src="../fabacademy/images/output/sketch.jpg"><br><br>

          <p>I assembled all components, combining both the circuits</p>
            <img class="img-fit" src="../fabacademy/images/output/setup2.jpg"><br><br>

            <p>I made some changes to the base, as it was wobbly, and then assembled eveything.

              <div class="row">
                <figure class="col-md-4">
                  <img class="img-fit" src="../fabacademy/images/output/1.jpg"><br><br>
                </figure>
                <figure class="col-md-4">
                  <img class="img-fit" src="../fabacademy/images/output/2.jpg"><br><br>
                </figure>
                <figure class="col-md-4">
                  <img class="img-fit" src="../fabacademy/images/output/3.jpg"><br><br>
                </figure>
              </div>

                <p>This is the whole setup.</p>
                <img class="img-fit" src="../fabacademy/images/output/4.jpg"><br><br>

                <p>This is a video of it in action</p>
                <iframe width="688" height="387" src="https://www.youtube.com/embed/FJzphqxnXO8" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe><br><br>

                <p>I would like to make the base more refined and add the breadboard and arduino inside, and connect to a battery instead of powering it from the arduino. To make the top spinner.</p>

          <h4>Code</h4>
          <a href="../fabacademy/images/output/foreverspin__dcmotor_potentiometer_hbridge_.zip">Only DC motor - sketch</a><br>
          <a href="../fabacademy/images/output/foreverspin__dcmotor_potentiometer_hbridge_.zip">Only tilt sensor - sketch</a><br>
          <a href="../fabacademy/images/output/foreverspin__dcmotor_potentiometer_hbridge_.zip">OTilt sensor + DC motor - sketch</a><br>

      </section>

    </section>

    <div class="footer">
        <div class="row">
        <div class="col-md-2">
          <p>&copy; 2019-20 <a href="https://www.linkedin.com/in/mitaleeparikh">Mitalee Parikh</a></p>
        </div>
        <div class="col-md-7">
          <p>This site is a documentation of my work done in 2019-2020 as a part of the <a href="https://mdef.iaac.net">Master in Design for Emergent Futures</a> programme at the <a href="https://iaac.net/educational-programmes/masters-programmes/master-in-design-for-emergent-futures-mdef/">Institute of Advanced Architecture of Catalonia</a> and <a href="https://elisava.net/en">Elisava Barcelona School of Design and Engineering</a> in collaboration with <a href="https://fabacademy.org/">FabAcademy.</p>
        </div>
        <div class="col-md-2">
        </div>
        <div class="col-md-1">
          <a href="https://www.instagram.com/emaitee/"><img class="img-fit" src="../meta/icons/011-cd.png" height="20" width="20">&ensp;
          <a href="https://www.goodreads.com/review/list/5828563-mitalee-parikh?shelf=mdef"><img class="img-fit" src="../meta/icons/013-radar.png" height="20" width="20">&ensp;
          <a href="https://twitter.com/MitaleeParikh"><img class="img-fit" src="../meta/icons/009-photos.png" height="20" width="20">
        </div>
        </div>
    </div>

  </body>

</html>
